Commerce
List metaobjects of a type
The metaobjects of one type (a definition handle from GET /v1/commerce/metaobject-definitions), cursor-paginated with limit and cursor. Shopify only. Needs metaobjects.read.
PlatformsShopify
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.
In: header
Query Parameters
accountId*string
Connected store SocialAccount id.
type*string
Definition type from GET /v1/commerce/metaobject-definitions.
limit?integer
Range
1 <= value <= 100Default
20cursor?string
Response Body
application/json
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.commerce.listCommerceMetaobjects({ query: { accountId: 'account_abc123', type: 'string', },});console.log(data);{ "metaobjects": [ { "id": "string", "type": "string", "handle": "string", "displayName": "string", "fields": [ { "key": "string", "type": "string", "value": "string" } ] } ], "nextCursor": "string"}Was this page helpful?